Subject: Re: Ospf Packet checksum

From: "Manral, Vishwas" <[email-masked]>
Date: Thu, 6 Mar 2003 23:35:23 -0500

Hi,

A similar issue came up on the list last year

http://discuss.microsoft.com/SCRIPTS/WA-MSD.EXE?A2=ind0205&L=OSPF&P=R6701&I=
-3&m=3446

Thanks,
Vishwas

-----Original Message-----
From: Dennis Ferguson [mailto:[email-masked]]
Sent: Friday, March 07, 2003 5:24 AM
To: [email-masked]
Subject: Re: Ospf Packet checksum

> -> To be conservative, however, you
> -> should probably do your checksum computation *exactly* the
> -> way RFC 1071 does it, and the RFC 1071 computations (usually)
> -> produce 0-valued checksums rather than 0xffff.
>
>   Correction. RFC 1141 obsoletes RFC 1071. But I prefer RFC 1624
>   which updates RFC 1141. RFC 1624 reads:

That's no correction.  RFC's 1141 and 1624 update 1071 only with respect
to the computation of incremental updates of the IP header checksum, a
topic which takes up less than half of one page out of RFC 1071's 24 pages
and is not relevant to the issue of how to compute a checksum for the OSPF
packet.  RFC 1071 is still the canonical reference for the computation of
the IP 1's complement checksum, the other papers don't cover that.

Dennis Ferguson

---

From: "Naidu, Venkata" <[email-masked]>
Date: Fri, 7 Mar 2003 10:56:32 -0500

-> >   Correction. RFC 1141 obsoletes RFC 1071. But I prefer RFC 1624
-> >   which updates RFC 1141. RFC 1624 reads:
->
-> That's no correction.  RFC's 1141 and 1624 update 1071 only
-> with respect
-> to the computation of incremental updates of the IP header
-> checksum, a
-> topic which takes up less than half of one page out of RFC
-> 1071's 24 pages
-> and is not relevant to the issue of how to compute a
-> checksum for the OSPF
-> packet.  RFC 1071 is still the canonical reference for the
-> computation of
-> the IP 1's complement checksum, the other papers don't cover that.

  Yes. you are right. I agree.

Venkata.